org.richfaces.component

## Enum UIAutocomplete.Properties

- java.lang.Object
- - java.lang.Enum<UIAutocomplete.Properties>
  - - org.richfaces.component.UIAutocomplete.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIAutocomplete.Properties>
  Enclosing class:
    UIAutocomplete

      protected static enum UIAutocomplete.Properties
      extends Enum<UIAutocomplete.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `autocompleteList`
    `autocompleteMethod`
    `autocompleteMethodWithOneParameter`
    `autofill`
    `clientFilterFunction`
    `disabled`
    `fetchValue`
    `inputClass`
    `layout`
    `minChars`
    `mode`
    `onbeforedomupdate`
    `onbegin`
    `onblur`
    `onchange`
    `onclick`
    `oncomplete`
    `ondblclick`
    `onerror`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onlistclick`
    `onlistdblclick`
    `onlistkeydown`
    `onlistkeypress`
    `onlistkeyup`
    `onlistmousedown`
    `onlistmousemove`
    `onlistmouseout`
    `onlistmouseover`
    `onlistmouseup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselectitem`
    `popupClass`
    `selectedItemClass`
    `selectFirst`
    `showButton`
    `style`
    `styleClass`
    `tabindex`
    `tokens`
    `var`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIAutocomplete.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIAutocomplete.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### autocompleteList

          public static final UIAutocomplete.Properties autocompleteList

    - #### autocompleteMethod

          public static final UIAutocomplete.Properties autocompleteMethod

    - #### autocompleteMethodWithOneParameter

          public static final UIAutocomplete.Properties autocompleteMethodWithOneParameter

    - #### autofill

          public static final UIAutocomplete.Properties autofill

    - #### clientFilterFunction

          public static final UIAutocomplete.Properties clientFilterFunction

    - #### disabled

          public static final UIAutocomplete.Properties disabled

    - #### fetchValue

          public static final UIAutocomplete.Properties fetchValue

    - #### inputClass

          public static final UIAutocomplete.Properties inputClass

    - #### layout

          public static final UIAutocomplete.Properties layout

    - #### minChars

          public static final UIAutocomplete.Properties minChars

    - #### mode

          public static final UIAutocomplete.Properties mode

    - #### onbeforedomupdate

          public static final UIAutocomplete.Properties onbeforedomupdate

    - #### onbegin

          public static final UIAutocomplete.Properties onbegin

    - #### onblur

          public static final UIAutocomplete.Properties onblur

    - #### onchange

          public static final UIAutocomplete.Properties onchange

    - #### onclick

          public static final UIAutocomplete.Properties onclick

    - #### oncomplete

          public static final UIAutocomplete.Properties oncomplete

    - #### ondblclick

          public static final UIAutocomplete.Properties ondblclick

    - #### onerror

          public static final UIAutocomplete.Properties onerror

    - #### onfocus

          public static final UIAutocomplete.Properties onfocus

    - #### onkeydown

          public static final UIAutocomplete.Properties onkeydown

    - #### onkeypress

          public static final UIAutocomplete.Properties onkeypress

    - #### onkeyup

          public static final UIAutocomplete.Properties onkeyup

    - #### onlistclick

          public static final UIAutocomplete.Properties onlistclick

    - #### onlistdblclick

          public static final UIAutocomplete.Properties onlistdblclick

    - #### onlistkeydown

          public static final UIAutocomplete.Properties onlistkeydown

    - #### onlistkeypress

          public static final UIAutocomplete.Properties onlistkeypress

    - #### onlistkeyup

          public static final UIAutocomplete.Properties onlistkeyup

    - #### onlistmousedown

          public static final UIAutocomplete.Properties onlistmousedown

    - #### onlistmousemove

          public static final UIAutocomplete.Properties onlistmousemove

    - #### onlistmouseout

          public static final UIAutocomplete.Properties onlistmouseout

    - #### onlistmouseover

          public static final UIAutocomplete.Properties onlistmouseover

    - #### onlistmouseup

          public static final UIAutocomplete.Properties onlistmouseup

    - #### onmousedown

          public static final UIAutocomplete.Properties onmousedown

    - #### onmousemove

          public static final UIAutocomplete.Properties onmousemove

    - #### onmouseout

          public static final UIAutocomplete.Properties onmouseout

    - #### onmouseover

          public static final UIAutocomplete.Properties onmouseover

    - #### onmouseup

          public static final UIAutocomplete.Properties onmouseup

    - #### onselectitem

          public static final UIAutocomplete.Properties onselectitem

    - #### popupClass

          public static final UIAutocomplete.Properties popupClass

    - #### selectFirst

          public static final UIAutocomplete.Properties selectFirst

    - #### selectedItemClass

          public static final UIAutocomplete.Properties selectedItemClass

    - #### showButton

          public static final UIAutocomplete.Properties showButton

    - #### style

          public static final UIAutocomplete.Properties style

    - #### styleClass

          public static final UIAutocomplete.Properties styleClass

    - #### tabindex

          public static final UIAutocomplete.Properties tabindex

    - #### tokens

          public static final UIAutocomplete.Properties tokens

    - #### var

          public static final UIAutocomplete.Properties var

  - ### Method Detail

    - #### values

          public static UIAutocomplete.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIAutocomplete.Properties c : UIAutocomplete.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIAutocomplete.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.